.section-instagram {
  margin-top: 4rem;
  
  // Texto centralizado
  > .text {
    text-align: center;
    margin-bottom: 4rem;
    max-width: 76rem;
    color: var(--gray-3);

    > .instagram-title {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 1rem;
      margin-bottom: 1.6rem;
    }

    > .instagram-title .title {
      display: flex;
      align-items: flex-end;
      justify-content: center;
      margin-bottom: 0;
      font-size: var(--font-size-big);
      color: var(--font-color-title);
    }

    > .instagram-title .icon,
    > .instagram-title .image {
      width: 3.2rem;
      height: 3.2rem;
    }

    > .button-default {
      margin-top: 1.6rem;
      margin-left: auto;
      margin-right: auto;
      width: fit-content;
      min-width: 12rem;
      font-size: var(--font-size-base);
    }
    
  }

  > .posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    @include media('sm') { grid-template-columns: repeat(6, 1fr) }
  }

  > .posts .post {
    position: relative;
  }

  > .posts .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    opacity: 0;
    transition: var(--transition);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 1;

    @include media("md") {
      display: flex;
    }
  }

  > .posts svg {
    width: 4.8rem;
    height: 4.8rem;
    color: var(--white);
  }

  > .posts .post:hover .overlay {
    opacity: 1;
  }
}
